> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unifically.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Base64 Upload

> Upload files as base64-encoded strings

Upload a file as a base64-encoded string in JSON format. Base64 string can be either raw or data string.

<Note>
  **Upload limits:**

  * **Free users:** 1 GB per day, up to 5 uploads per minute.
  * **Paid users** (topped up \$5 or more): 10 GB per day, up to 50 uploads per minute.
</Note>

## Request

```bash theme={null}
curl --location --request PUT 'https://files.unifically.com/upload' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data-raw '{
  "base64": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNk+M9QDwADhgGAWjR9awAAAABJRU5ErkJggg=="
}'
```

## Request Body

```json theme={null}
{
  "base64": "YOUR_BASE64_ENCODED_FILE_STRING"
}
```

## Parameters

<ParamField body="base64" type="String" required>
  Base64-encoded file content
</ParamField>

## Example

```bash theme={null}
curl --location --request PUT 'https://files.unifically.com/upload' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data-raw '{
  "base64": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mNk+M9QDwADhgGAWjR9awAAAABJRU5ErkJggg=="
}'
```

## Response

### Success Response

**Status Code:** `200 OK`

```json theme={null}
{
  "success": true,
  "file_url": "https://files.unifically.com/image/2b847255-e028-4cf7-a2aa-c638f3e15cbc.webp"
}
```

<ResponseField name="success" type="boolean">
  Whether the upload was successful
</ResponseField>

<ResponseField name="file_url" type="string">
  URL to access the uploaded file
</ResponseField>

## Use Cases

* Uploading files from web applications
* When file is already in base64 format
* Best for: Browser-based uploads, embedded images, API integrations

## Notes

* Ensure your file is properly base64-encoded before sending
* Base64 encoding increases file size by approximately 33%
* Maximum file size may be limited by your API plan
